import {
    BrowserRouter,
    createBrowserRouter,
    createRoutesFromElements,
    Route,
    RouterProvider,
    Routes
} from "react-router-dom";

import loadable from "@loadable/component";


const HomePage = loadable(() => import("./pages/Home.tsx"))
const NotFoundPage = loadable(() => import("./pages/404.tsx"))
const CreateTeamPage = loadable(() => import("./pages/CreateTeamPage.tsx"))
const TeamPanelPage = loadable(() => import("./pages/TeamPanel.tsx"))
const NewTacticPage = loadable(() => import("./pages/NewTacticPage.tsx"))
const Editor = loadable(() => import("./pages/Editor.tsx"))


export default function App() {
    return (
        <div style={{height: "100vh", width: "100vw"}}>
            <BrowserRouter>
                <Routes>
                    <Route path={"/"} element={<HomePage/>}/>
                    <Route path={"*"} element={<NotFoundPage/>}/>
                    <Route path={"team/new"} element={<CreateTeamPage/>}/>
                    <Route path={"team/:teamId"} element={<TeamPanelPage/>}/>
                    <Route path={"tactic/new"} element={<NewTacticPage/>}/>
                    <Route path={"tactic/new/plain"} element={<Editor courtType={"PLAIN"}/>}/>
                    <Route path={"tactic/new/half"} element={<Editor courtType={"HALF"}/>}/>
                </Routes>
            </BrowserRouter>
        </div>
    )
}